# dkim_getpartial()

[back to index]

SYNOPSIS

    #include <dkim.h>

    _Bool dkim_getpartial(
    	DKIM *dkim
    );

DESCRIPTION

Called When | `dkim_getpartial()` can be called at any time after a DKIM handle has been initialized by either `dkim_sign()` or `dkim_verify()`.

ARGUMENTS

Argument | Description
--- | ---
dkim | Message-specific handle, returned by `dkim_sign()` or `dkim_verify()`.

RETURN VALUES

Value | Description
--- | ---
`TRUE` | The message-specific handle has been flagged to produce a signature with an "l=" tag by a previous call to `dkim_setpartial()`.

`FALSE` | The message-specific handle has been flagged to produce a signature with an "l=" tag.

NOTES

- Regardless if the setting of this bit inside a message-specific handle, a signature with "l=" will be generated if the `DKIM_LIBFLAGS_SIGNLEN` flag was set on the library handle.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.